Bug 166555 - Review Request: orange - Squeeze out installable Microsoft cabinet files
Review Request: orange - Squeeze out installable Microsoft cabinet files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Iseli
David Lawrence
http://synce.sourceforge.net/
:
Depends On: 166553 166554
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-23 05:59 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 02:20:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-08-23 05:59:33 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/orange.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/orange-0.3-1.src.rpm
Description:
Orange is a tool and library for squeezing out juicy installable Microsoft
Cabinet Files from self-extracting installers for Microsoft Windows and some
other installer file formats
Comment 1 Christian Iseli 2005-09-16 12:59:28 EDT
You have a BR for libole2-devel which I (and mock) can't seem to find.
Any word of advice ?
Comment 2 Andreas Bierfert 2005-09-16 18:39:44 EDT
hm...

[12:39 AM][awjb@alkaid ~]$ rpm -q libole2-devel
libole2-devel-0.2.4-8.1
[12:39 AM][awjb@alkaid ~]$ rpm -qi libole2-devel
Name        : libole2-devel                Relocations: (not relocatable)
Version     : 0.2.4                             Vendor: Red Hat, Inc.
Release     : 8.1                           Build Date: Thu 04 Mar 2004 04:04:01
PM CET
Install Date: Tue 14 Sep 2004 11:44:09 AM CEST      Build Host:
porky.devel.redhat.com
Group       : Development/Libraries         Source RPM: libole2-0.2.4-8.1.src.rpm
Size        : 73648                            License: GPL
Signature   : DSA/SHA1, Fri 07 May 2004 12:23:27 AM CEST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Files needed for development of libole2 applications.
Description :
The libole2-devel package contains libraries, include files, etc., for
developing libole2 applications.
Comment 3 Christian Iseli 2005-09-16 19:06:29 EDT
(In reply to comment #2)
> Release     : 8.1                Build Date: Thu 04 Mar 2004 04:04:01 PM CET
> Install Date: Tue 14 Sep 2004 11:44:09 AM CEST

Looks like you are using an older FC release.  It appears libole2 is no longer
present in FC 4:

cig-245_root$ yum list \*ole2\*
Setting up repositories
livna                     100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files

cig-245_root$ cat /etc/issue
Fedora Core release 4 (Stentz)
Kernel \r on an \m
Comment 4 Andreas Bierfert 2005-09-27 09:22:45 EDT
Here is an updated Spec and SRPM which depend on #169352. Sorry for the delay.

http://fedora.lowlatency.de/review/orange-0.3-2.src.rpm
http://fedora.lowlatency.de/review/orange.spec
Comment 5 Christian Iseli 2005-11-18 04:21:16 EST
(In reply to comment #4)
> Here is an updated Spec and SRPM which depend on #169352. Sorry for the delay.
> 
> http://fedora.lowlatency.de/review/orange-0.3-2.src.rpm
> http://fedora.lowlatency.de/review/orange.spec

Well, it seems that upstream has put in some bit to allow the use of libgsf
instead of the old libole2.  I took the liberty do grab a CVS snapshot and
try that in your package.  Results are here:
ftp://ftp.licr.org/pub/software/unix/orange.spec
ftp://ftp.licr.org/pub/software/unix/orange-0.3cvs-0.src.rpm

Have a look...  I have not attempted to run the resulting executable (yet).
Comment 6 Andreas Bierfert 2005-11-18 04:28:15 EST
Thanks :) sounds and looks good to me :)... so how do we proceede... ? Do you
want to take over or should I just add your stuff to my version?
Comment 7 Christian Iseli 2005-11-18 05:39:21 EST
(In reply to comment #6)
> Thanks :)

np

> sounds and looks good to me :)... so how do we proceede... ? Do you
> want to take over or should I just add your stuff to my version?

Well, since you started it, why don't you just update it and then I'll review...
Comment 9 Christian Iseli 2005-11-18 10:08:49 EST
Good:
- rpmlint is ok
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- license file in %doc
- spec file in American English and legible
- source ok (CVS)
- builds, installs, runs, and uninstalls cleanly
- BuildRequires ok
- no locale to worry about
- shared libs ok
- no relocation to worry about
- no duplicated files
- files perms ok
- clean section ok
- macro useage ok
- package contains code
- no large doc
- %doc is only doc
- builds in mock

Nit:
I'm not completely sure if there is a definitive policy regarding packages
built from CVS snapshots, but looking around I think the spec file would be
better with the small attached patch applied.

Problem:
It looks like the magic code to detect executable files is not quite up to
snuff.  It seems better with the attached patch.

I'll approve it, if you agree with the patch.

Cheers,
                                        Christian

--- orange.spec.orig    2005-11-18 10:16:13.000000000 +0100
+++ orange.spec 2005-11-18 15:58:15.000000000 +0100
@@ -1,12 +1,15 @@
 Name:           orange
-Version:        0.3cvs
-Release:        0
+Version:        0.3
+Release:        0.cvs20051118%{?dist}
 Summary:        Squeeze out installable Microsoft cabinet files

 Group:          Applications/Communications
 License:        MIT
 URL:            http://synce.sourceforge.net/
 Source0:        orange-CVS-20051118.tar.gz
+# Obtained through:
+# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/synce co -P orange
+Patch0:         orange-chris.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 BuildRequires:  synce-devel
@@ -32,6 +35,7 @@ The %{name}-devel package contains the f

 %prep
 %setup -q -n orange
+%patch0 -p1 -b .chris

 %build
 ./bootstrap
@@ -67,6 +71,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/liborange.h

 %changelog
+* Fri Nov 18 2005 Christian Iseli <Christian.Iseli[AT]licr.org> 0.3-0
+- grab latest from CVS to use libgsf instead of obsolete libole2
+
 * Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
 - include patch for new libole2

--- orange/lib/squeeze.c.chris  2005-11-18 15:56:56.000000000 +0100
+++ orange/lib/squeeze.c        2005-11-18 15:56:16.000000000 +0100
@@ -226,7 +226,7 @@
       synce_trace("Found MSI format.");
   }
 #endif
-  else if (strstr(description, "MS-DOS executable (EXE), OS/2 or MS Windows"))
+  else if (strstr(description, " executable "))
   {
     success = squeeze_exe(filename, output_directory);
   }
Comment 10 Andreas Bierfert 2005-11-24 15:08:50 EST
Sure  I do agree :) here is an updated package =) (sorry for the elapsed time)

http://fedora.lowlatency.de/review/orange-0.3-0.cvs20051118.src.rpm
http://fedora.lowlatency.de/review/orange.spec
Comment 11 Christian Iseli 2005-11-24 16:52:45 EST
np :)

Approved.

Please also close the libole2 review request.
Comment 12 Andreas Bierfert 2005-11-25 02:20:58 EST
imported and build...

Thanks for the patience and the review :)

Note You need to log in before you can comment on or make changes to this bug.